Subject: Re: bug#59719: 29.0.60; emacs-news-mode does not adjust the width of the fringe to accommodate the outline icons

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Nov 2022 19:08:39 +0200

> From: Kai Ma <[email-masked]>
> Date: Thu, 1 Dec 2022 00:11:14 +0800
> Cc: [email-masked]
> 
> > On Nov 30, 2022, at 23:11, Eli Zaretskii <[email-masked]> wrote:
> > 
> >> From: Kai Ma <[email-masked]>
> >> Date: Wed, 30 Nov 2022 17:10:40 +0800
> >> 
> >> The fringe is too small to accomodate the icons, but emacs-news-mode
> >> does not adjust the width.  This is especially bad for the 'emoji'
> >> icons.
> > 
> > Why do you say "fringe"?  AFAICT, nothing here is displayed on the fringes.
> 
> I should’ve used “margins”.  I was under the wrong impression that “fringe” is a universal term for “extra spaces around a window”.  Turns out it’s not.  Thanks for correcting me.

OK, thanks.  I thought I was missing something in your report.

Juri, should we seamlessly support arbitrary-size emoji in emacs-news-mode?
If so, we need some code to resize the margins when the emoji are used for
the buttons.